Unit tzp37r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, ZP37R_p;

function tzp37r: String;

implementation

function tzp37r: String;
var
NP,M,_i :Integer;
R,S :Real;
B :Array [0..3] of Real;
const
A :Array [0..4] of Real = ( 24.0,-50.0,35.0,-10.0,1.0 );
begin
Result := '';  {   }
R := 2.0;
NP := 4;
M := 4;
ZP37R(NP,A,M,B,R,S);
Result := Result + Format('%10d %10d %20.16f %20.16f ',
 [NP,M,R,S]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 4 do
 begin
  Result := Result + Format('%20.16f ',[A[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 3 do
 begin
  Result := Result + Format('%20.16f ',[B[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tzp37r',Result);  {     tzp37r.res }
exit;
end;

end.
